require 'dldinternet/opensrs/api/base'

module DLDInternet
  module OpenSRS
    module API
      module Domain
        class Get < DLDInternet::OpenSRS::API::Base

          require 'dldinternet/opensrs/api/domain/mixins/get/getdomain'
          include DLDInternet::OpenSRS::API::Domain::MixIns::Get::GetDomain

          require 'dldinternet/opensrs/api/domain/mixins/get/domaindns'
          include DLDInternet::OpenSRS::API::Domain::MixIns::Get::DomainDNS

          require 'dldinternet/opensrs/api/domain/mixins/get/domainstatus'
          include DLDInternet::OpenSRS::API::Domain::MixIns::Get::DomainStatus

          require 'dldinternet/opensrs/api/domain/mixins/get/all_info'
          include DLDInternet::OpenSRS::API::Domain::MixIns::Get::AllInfo

        end
      end
    end
  end
end