require 'hashie/mash'

module DLDInternet
  module OpenSRS
    module API
      module Domain
        module MixIns
          module Zone
            module GetDNSZone

              # noinspection RubyUnnecessaryReturnValue
              def GetDomainDNSZone(domain,cookiep=nil,registrant_ip=nil)

                data = {
                    object: 'DOMAIN',
                    action: 'get_dns_zone',
                    attributes: {
                        domain: domain,
                    },
                }
                data[:cookie]             = cookiep if cookiep
                data[:domain]             = domain
                data[:registrant_ip]      = registrant_ip if registrant_ip

                getResponse(data)
              end

            end
          end
        end
      end
    end
  end
end