module DLDInternet
  module OpenSRS
    module Domain
      module Zone
        module MixIns
          module NoCommands

            require 'dldinternet/opensrs/domain/mixins/no_commands'
            include DLDInternet::OpenSRS::Domain::MixIns::NoCommands

=begin
            f556592444564103d2c17317bebca3de.ds1	CNAME	        	896e2ecc4a5528f39b306a5bb96afaedc7bf7824.comodoca.com
=end
            def zone_records_format(*args)
              if args.size > 0
                raise "TODO: Set column widths to fit data"
              else
                @header = -> { sprintf("%-48s\t%-5s\t%-8s\t%-64s\t%-5s\t%-5s", 'Subdomain', 'Type', 'Priority', 'Host', 'Weight', 'Port') }
                @format = ->(res) { sprintf("%-48s\t%-5s\t%-8s\t%-64s\t%-5s\t%-5s", res['subdomain'], res['type'], res['priority'], res['data'], res['weight'], res['port']) }
              end
            end

          end
        end
      end
    end
  end
end