require 'hashie/mash'

module DLDInternet
  module OpenSRS
    module API
      module Domain
        module MixIns
          module Get
            module AllInfo

              # noinspection RubyUnnecessaryReturnValue
              def GetAllInfo(domain,cookiep=nil)

                data = {
                    object: 'DOMAIN',
                    action: 'GET',
                    # cookie: (cookiep || cookie),
                    attributes: {
                        type: 'all_info',
                        domain: domain,
                    },
                }
                data[:cookie]             = cookiep if cookiep

                getResponse(data)

              end

            end
          end
        end
      end
    end
  end
end