require 'hashie/mash'

module DLDInternet
  module OpenSRS
    module API
      module Domain
        module MixIns
          module Get
            module DomainDNS

              # noinspection RubyUnnecessaryReturnValue
              def GetDomainNameservers(domain,cookiep=nil,registrant_ip=nil)

                data = {
                    object: 'DOMAIN',
                    action: 'GET',
                    attributes: {
                        type: 'nameservers',
                    },
                }
                data[:cookie]             = cookiep if cookiep
                data[:domain]             = domain
                data[:registrant_ip]      = registrant_ip if registrant_ip

                getResponse(data)['nameserver_list']
              end

            end
          end
        end
      end
    end
  end
end