require 'dldinternet/opensrs/api/base'

module DLDInternet
  module OpenSRS
    module API
      module Domain
        class Zone < DLDInternet::OpenSRS::API::Base

          require 'dldinternet/opensrs/api/domain/mixins/zone/getdnszone'
          include DLDInternet::OpenSRS::API::Domain::MixIns::Zone::GetDNSZone

          require 'dldinternet/opensrs/api/domain/mixins/zone/setdnszone'
          include DLDInternet::OpenSRS::API::Domain::MixIns::Zone::SetDNSZone

        end
      end
    end
  end
end